%define upstream_name    Socket-Packet
%define upstream_version 0.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Object interface to C<AF_PACKET> domain sockets
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Socket/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::CChecker)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Module::Build::Compat)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel

%description
To quote 'packet(7)':

 Packet sockets are used to receive or send raw packets at the device driver
 (OSI Layer 2) level. They allow the user to implement protocol modules in
 user space on top of the physical layer.

Sockets in the 'PF_PACKET' family get direct link-level access to the
underlying hardware (i.e. Ethernet or similar). They are usually used to
implement packet capturing, or sending of specially-constructed packets or
to implement protocols the underlying kernel does not recognise.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.100.0-8.mga6
+ Revision: 1033215
- Rebuild for perl 5.22.2

* Wed Feb 10 2016 umeabot <umeabot> 0.100.0-7.mga6
+ Revision: 953038
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.100.0-6.mga6
+ Revision: 845283
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.100.0-5.mga6
+ Revision: 841653
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-4.mga5
+ Revision: 749490
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.100.0-3.mga5
+ Revision: 686205
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.100.0-2.mga5
+ Revision: 631666
- Rebuild for perl 5.20

* Tue Feb 04 2014 shlomif <shlomif> 0.100.0-1.mga5
+ Revision: 581329
- New version 0.10

* Mon Jan 06 2014 pterjan <pterjan> 0.90.0-7.mga4
+ Revision: 565157
- Add upstream patch for the test failing due to kernel compat ioctl problem
- Disable a test passing in local iurt and autobuild but not on submit

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - perl 5.18.0 rebuild
    - perl 5.18.0 rebuild
    - perl 5.18.0 rebuild

* Sat Jun 02 2012 kharec <kharec> 0.90.0-1.mga3
+ Revision: 253295
- update to 0.09

* Wed May 30 2012 jquelin <jquelin> 0.80.0-2.mga3
+ Revision: 251117
- rebuild for perl 5.16

* Sat Nov 19 2011 kharec <kharec> 0.80.0-1.mga2
+ Revision: 169418
- imported package perl-Socket-Packet


* Sat Nov 19 2011 cpan2dist 0.08-1mga
- initial mageia release, generated with cpan2dist
